﻿
using HeuristicLab.Clients.Hive.CloudManager.Model;
using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;
namespace HeuristicLab.Clients.Hive.CloudManager.Views {
  [View("HostedServiceView")]
  [Content(typeof(HostedService), IsDefaultView = true)]
  public partial class HostedServiceView : ItemView {
    public new HostedService Content {
      get { return (HostedService)base.Content; }
      set { base.Content = value; }
    }

    public HostedServiceView() {
      InitializeComponent();
    }

    protected override void DeregisterContentEvents() {
      base.DeregisterContentEvents();
    }
    protected override void RegisterContentEvents() {
      base.RegisterContentEvents();
    }

    protected override void OnContentChanged() {
      if (Content == null) {
        txtServiceName.Clear();
        txtUrl.Clear();
        txtLocation.Clear();
        txtCoresUsed.Clear();
      } else {
        txtServiceName.Text = Content.ServiceName;
        txtUrl.Text = Content.Url;
        txtLocation.Text = Content.HostedServiceProperties.Location;
        txtCoresUsed.Text = "-";
      }
    }
  }
}
